[pkg-fso-commits] [SCM] Various non-packaged files branch, master, updated. c629b4d6a3fc36384161f1fb6c286cbd9f0f5c4e

Steffen Moeller moeller at debian.org
Tue Sep 1 17:41:04 UTC 2009


The following commit has been merged in the master branch:
commit fe9fa1d4ea85db05d9cb643d2eae369679beb4d7
Author: Steffen Moeller <moeller at debian.org>
Date:   Tue Sep 1 19:31:24 2009 +0200

    Allowing apt-get install zhone to fail
    
    without interrupting the install process.

diff --git a/install.sh b/install.sh
index 07de02f..d2ccc5c 100755
--- a/install.sh
+++ b/install.sh
@@ -974,9 +974,16 @@ apt-get $APT_OPTIONS install $FSO_PACKAGES
 apt-get clean
 __END_CHROOT__
 
-	echo "* Zhone GUI: $ZHONE"
+	echo -n "* Zhone GUI: "
 	if [ "$ZHONE" = true ]; then
-		chroot "$INST_DIR" apt-get $APT_OPTIONS install zhone
+		if ! chroot "$INST_DIR" apt-get $APT_OPTIONS install zhone; then
+			ZHONE=false
+			echo "[failed - check pkg-fso mailing list]"
+		else
+			echo "[ok]"
+		fi
+	else
+		echo "skipped (\$ZHONE=$ZHONE)"
 	fi
 
 	echo "I: freesmartphone.org software installed"
@@ -1218,13 +1225,21 @@ __END__
 	chroot "$INST_DIR" apt-get $APT_OPTIONS install dash
 
 	echo " * Installing /root/.xsession"
-	cat > "$INST_DIR/root/.xsession" <<EOMATCHBOX
+	cat > "$INST_DIR/root/.xsession" <<EOXSESSION
 #!/bin/sh
 stalonetray &
 openmoko-panel-plugin &
+EOXSESSION
+
+	if [ "true" = "$ZHONE" ]; then
+		cat >> "$INST_DIR/root/.xsession" <<EOXSESSION
 zhone &
+EOXSESSION
+	fi
+
+	cat >> "$INST_DIR/root/.xsession" <<EOXSESSION
 exec matchbox-window-manager -use_titlebar no -use_cursor no
-EOMATCHBOX
+EOXSESSION
 
 	# FIXME: the battery is deconfigured and should be
         #        put back on when the problems on .xsession-errors

-- 
Various non-packaged files



More information about the pkg-fso-commits mailing list